Subject: Unable to install static_info_tables in 4.7.12 EM

Description

TYPOS3's 4.7.12 extension manager downloads the latest version of static_info_tables, 6.0.1. Activating is not possible because it's
only compatible with TYPO3 6.0.0 and up.

The last version compatible with 4.7.12 is static_info_tables version 2.3.2, but I'm not able to install that from within the extension
manager.

The EM should download only that version that is compatible with my TYPOS3 version.

Related issues:
duplicates Core - Bug # 49297: Extension Upload with ExtManger should delete ... Closed 2013-06-20

History

#1 - 2013-06-13 12:18 - Christine Rochelt

| was able to download static_info_tables version 2.3.2 by changing the url to
http://typo3.org/extensions/repository/download/static_info_tables/2.3.2/t3x/

Installing it however caused a fatal error in the backend and | had to remove the extension in the extension list (in /typo3conf/localconf.php, line
$TYPO3_CONF_VARS['EXT['extList'] = ...). | was able to install static_info_tables version 2.3.1 (

http://typo3.org/extensions/repository/download/static_info_tables/2.3.1/t3x/) without a problem and then updated to version 2.3.2.

TYPO3 4.7.12

MySQL 5.1.67

PHP 5.3.21

#2 - 2013-11-26 17:48 - Tobias Schultheiss

Christine Rochelt wrote:

I was able to download static_info_tables version 2.3.2 by changing the url to
http://typo3.org/extensions/repository/download/static info tables/2.3.2/t3x/

Installing it however caused a fatal error in the backend and | had to remove the extension in the extension list (in /typo3conf/localconf.php, line
$TYPO3 _CONF_VARS['EXT'[['extList] = ...). | was able to install static_info_tables version 2.3.1 (
http://typo3.org/extensions/repository/download/static info _tables/2.3.1/t3x/) without a problem and then updated to version 2.3.2.

TYPO34.7.12
Had the same Problem (TYPO3 4.7.15), first installed version 6.x and then uploaded 2.3.2 manually with "overwrite existing..." causing:

PHP Fatal error: Class 'TYPO3\CMS\\Core\\Utility\\ExtensionManagementUstility' not found in
httpdocs/typo3conf/ext/static_info_tables/ext_autoload.php on line 5, referer: typo3/backend.php

So i guess the ext_autoload.php remained from the newer version and caused the error, after deleting the extension folder and uploading 2.3.2

everything worked fine.

#3 - 2015-01-17 20:04 - Mathias Schreiber

- Status changed from New to Closed

Taken into account in #63909.

The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.
